# eric4.KdeQt.KQMessageBox

Compatibility module to use the KDE Message Box instead of the Qt Message Box.

### Classes

None

### Functions

__getGuiItem | Private function to create a KGuiItem for a button.
__getLowestFlag | Private function to get the lowest flag.
__kdeAbout | Function to show a modal about message box.
__kdeCritical | Function to show a modal critical message box.
__kdeInformation | Function to show a modal information message box.
__kdeQuestion | Function to show a modal critical message box.
__kdeWarning | Function to show a modal warning message box.
__nrButtons | Private function to determine the number of buttons defined.
about | Function to show a modal about message box.
aboutQt | Function to show a modal about message box.
critical | Function to show a modal critical message box.
information | Function to show a modal information message box.
question | Function to show a modal critical message box.
warning | Function to show a modal warning message box.

## __getGuiItem

__getGuiItem(button)

Private function to create a KGuiItem for a button.

button
  flag indicating the button (QMessageBox.StandardButton)

Returns:
  item for the button (KGuiItem)

Up

## __getLowestFlag

__getLowestFlag(flags)

Private function to get the lowest flag.

flags
  flags to be checked (integer)

Returns:
  lowest flag (integer)

Up

## __kdeAbout

__kdeAbout(parent, title, text)

Function to show a modal about message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box

Up

## __kdeCritical

__kdeCritical(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal critical message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton)

Up

## __kdeInformation

__kdeInformation(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal information message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton, always QMessageBox.NoButton)

Up

## __kdeQuestion

__kdeQuestion(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal critical message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton)

Up

## __kdeWarning

__kdeWarning(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal warning message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton)

Up

## __nrButtons

__nrButtons(buttons)

Private function to determine the number of buttons defined.

buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)

Returns:
  number of buttons defined (integer)

Up

## about

about(parent, title, text)

Function to show a modal about message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box

Up

## aboutQt

aboutQt(parent, title)

Function to show a modal about message box.

parent
  parent widget of the message box
title
  caption of the message box

Up

## critical

critical(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal critical message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton)

Up

## information

information(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal information message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton, always QMessageBox.NoButton)

Up

## question

question(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal critical message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton)

Up

## warning

warning(parent, title, text, buttons = QMessageBox.Ok, defaultButton = QMessageBox.NoButton)

Function to show a modal warning message box.

parent
  parent widget of the message box
title
  caption of the message box
text
  text to be shown by the message box
buttons
  flags indicating which buttons to show (QMessageBox.StandardButtons)
defaultButton
  flag indicating the default button (QMessageBox.StandardButton)

Returns:
  button pressed by the user (QMessageBox.StandardButton)

Up